return DMod:new("Useful Loadout Description", {
    author = "Koytar",
    name = "Useful Loadout Description",
    version = "1.3",
    description = {english = "Replace descriptions of the weapons, equipements, perks and crew bonuses with in-game max upgrades values."},
    hooks = {{
        "OnModuleLoaded", "OnModuleLoaded_SetupLoc", function(module)
            local replacements = {
                -- Weapons
                ["des_beretta92"] = "Ammo pickup: 6-8 / Capacity: 20 - 56 / Damage: 10 / RoF: 750 / Reload: 1.8-2.6s / Equip/Unequip: 0.5s / Max Spread: 2.8/2.8/1.12/2.8/2.8 degrees / Recoil: (x):0 0 0 (y):1.2 1.2 0.6 / Alert Size: 3 meters.",
                                  
                ["des_mac11"] = "Ammo pickup: 2-7 / Capacity: 54 - 150 / Damage: 13 / RoF: 909 / Reload: 2.15-3.1s / Equip/Unequip: 0.5/0.7s / Max Spread: 5/4/4/3/2.2 degrees / Recoil: (x):0.3 0.24 -0.45 (y):0.3 0.24 -0.45 / Alert Size: 3 meters.",
                                  
                ["des_mossberg"] = "Ammo pickup: 0-1 / Capacity: 6 - 24 / Damage: 40; 100% damage up to 5m, 0% at 20m / RoF: 120 / Reload: 0.4s to start; 0.34s the first shell; 0.67s for each subsequent shell; 1.3s to exit an empty reload, 1s for a non-empty reload / Equip/Unequip: 0.5s / Max Spread: 5/5/4/5/5 degrees / Alert Size: 30 meters.",
                                  
                ["des_m79"] = "Ammo pickup: 0-1 / Capacity: 1 - 7 / Damage: 560; The player who fired the grenade only takes up to 90 damage / Explosion Radius: 6m / Reload: 4.3s / Equip/Unequip: 0.5/0.7s / Explosion Alert Size: 100 meters.",
                                  
                ["des_mp5"] = "Ammo pickup: 2-7 / Capacity: 30 - 150 / Damage: 11.5 / RoF: 600 / Reload: 2.2s-2.8s  / Equip/Unequip: 0.5/0.7s / Max Spread: 1.75/1.25/0.85/2.25/1.9 degrees / Recoil: (x):0.315 0.28 0.315 (y):0.315 0.28 -0.315 / Alert Size: 25 meters.",
                                  
                ["des_glock"] = "Ammo pickup: 5-7 / Capacity: 40 - 56 / Damage: 12 / RoF: 909 / Reload: 2.5-2.7s / Equip/Unequip: 0.5s / Max Spread: 4/4/1.6/4/4 degrees / Recoil: (x):0.64 0.64 0.64 (y):-0.64 -0.64 -0.64/ Alert Size: 50 meters.",
                                  
                ["des_raging_bull"] = "Ammo pickup: 1-2 / Capacity: 6 - 36 / Damage: 63 / RoF: 273 / Reload: 4.6s / Equip/Unequip: 0.5s / Max Spread: 1.5/1.5/1.08/1.5/1.5 degrees / Recoil: (x):1.5 1 1.6 (y):2.5 2 5.6 / Alert Size: 50 meters.",
                                  
                ["des_c45"] = "Ammo pickup: 4-6 / Capacity: 14 - 50 / Damage: 21 / RoF: 500 / Reload: 1.9-2.6s / Equip/Unequip: 0.5s / Max Spread: 4.5/4.5/1.7/4.5/4.5 degrees / Recoil: (x):1.5 1.5 1.32 (y):1.5 1.5 1.62 / Alert Size: 25 meters.",
                                  
                ["des_r870_shotgun"] = "Ammo pickup: 1-2 / Capacity: 10 - 30 / Damage: 84 100% damage up to 5m, 0% at 40m / RoF: 75 / Reload: 0.4s to start; 0.34s the first shell; 0.67s for each subsequent shell; 1.3s to exit an empty reload, 1s for a non-empty reload / Equip/Unequip: 0.5s / Max Spread: 4/4/3/4/4 degrees / Alert Size: 45 meters.",
                                  
                ["des_m14"] = "Ammo pickup: 1-5 / Capacity: 16 - 72 / Damage: 48 / RoF: 600 / Reload: 1.71-2.61s / Equip/Unequip: 0.5/0.7s / Max Spread: 5.6/4.8/0.08/8/6.4 degrees / Recoil: (x):0.27 0.21 1.2 (y):2.1 1.92 1.8 / Alert Size: 50 meters.",
                                  
                ["des_hk21"] = "Ammo pickup: 2-10 / Capacity: 120 - 240 / Damage: 35 / RoF: 450 / Reload: 4.25-5.4s / Equip/Unequip: 0.5/1s / Max Spread: 2.5/2.5/2.5/4/3.5 degrees / Recoil: (x):-0.64 -0.56 -0.52 (y):-0.8 -0.72 -0.52 / Alert Size: 50 meters.",
                                  
                ["des_ak47"] = "Ammo pickup: 2-8 / Capacity: 35 - 125 / Damage: 35.1 / RoF: 857 / Reload: 2.3-3.9s / Equip/Unequip: 0.5/0.7s / Max Spread: 4/3.2/1.2/4.8/4.4 degrees / Recoil: (x):0.64 0.64 -0.72 (y):0.56 0.56 -0.64 / Alert Size: 50 meters.",
                                  
                ["des_m4"] = "Ammo pickup: 2-10 / Capacity: 30 - 120 / Damage: 24 / RoF: 600 / Reload: 1.4-1.9s / Equip/Unequip: 0.5/0.7s / Max Spread: 2.4/1.8/0.6/3.6/3 degrees / Recoil: (x):0.7 0.7 -0.45 y:0.3 0.3 -0.45 / Alert Size: 50 meters.",
        
                -- Player's Perks
                ["des_thick_skin"] = "Provides 100 extra health (base health is 300).",
                                  
                ["des_extra_start_out_ammo"] = "Provides a 50% higher max ammo threshold. Stacks with Big Game Hunters, allowing the player to carry up to 172.5% maximum ammo if both are applied.",
                                  
                ["des_toolset"] = "80% interaction time for all interactions.",
                                  
                ["des_extra_cable_tie"] = "Provides 4 extra cable ties.",
        
                -- Crew's Bonuses
                ["des_aggressor"] = "Increases damage by 10% for other crew members. Does not stack with other instances of this bonus. Equipping 2 same perk permit the first one and vice versa to have the effect (or global effect in short). Being into custody disable the perk.",
                                  
                ["des_more_ammo"] = "Increases max ammo threshold by 15%. Does not stack with other instances of this bonus. Equipping 2 same perk permit the first one and vice versa to have the effect (or global effect in short). Being into custody disable the perk.",
                                  
                ["des_protector"] = "Increases armor by 10% for other crew members. Does not stack with other instances of this bonus. Equipping 2 same perk permit the first one and vice versa to have the effect (or global effect in short). Being into custody disable the perk.",
                                  
                ["des_sharpshooters"] = "Decreases weapon spread by 10% for other crew members. Does not stack with other instances of this bonus. Equipping 2 same perk permit the first one and vice versa to have the effect (or global effect in short). Being into custody disable the perk.",
                                  
                ["des_speed_reloaders"] = "Increases reload speed by 10% for other crew members. Does not stack with other instances of this bonus. Equipping 2 same perk permit the first one and vice versa to have the effect (or global effect in short). Being into custody disable the perk.",
                                  
                ["des_mr_nice_guy"] = "Increases cash rewards by 20% for other crew members. Noob Lube stacks with Mr Nice Guy, but otherwise does not stack. Equipping 2 same perk permit the first one and vice versa to have the effect (or global effect in short). Being into custody disable the perk.",
                                  
                ["des_more_blood_to_bleed"] = "Increases duration of bleed-out by 2 to 5s seconds. Giving you an extra down for 145+/193+ difficulty (adding 4s to the 3rd down). On Overkill/145+/193+, it's effect will cease after the 3rd down. On Hard/Normal/Easy, after the 5th down. Equipping 2 same perk permit the first one and vice versa to have the effect (or global effect in short). Being into custody disable the perk.",
                                  
                ["des_welcome_to_the_crew"] = "Increases cash rewards by 20% for other crew members. Mr Nice Guy stacks with Noob Lube, but otherwise does not stack. Equipping 2 same perk permit the first one and vice versa to have the effect (or global effect in short). Being into custody disable the perk.",
                                  
                
        
                -- Equipments
                ["des_doctor_bag"] = "Charges: 5",
                                  
                ["des_ammo_bag"] = "Charge: 1000%",
                                  
                ["des_sentry_gun"] = "Armor: 100 / Damage: 5 / RoF: 1200 / Spread: 3 / Range: 50m / Ammo Capacity: 800 / Alert Size: 25m",
                                  
                ["des_trip_mine"] = "0.3s delay to detonate / Capacity: 10 / Damage: 1600 / Range: 3 / Towards the player who placed the Trip Mine, it has a range of 5 meters and deals a maximum of 60 damage."
            }

            local DLocalizer = D.Localizer
            for id, repl in pairs(replacements) do
                DLocalizer:add_localization_override(id, repl)
            end
        end
    }}
})
